Bug 1573345 - [abrt] yumex-dnf: __call__(): Gio.py:172:__call__:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)
Summary: [abrt] yumex-dnf: __call__(): Gio.py:172:__call__:GLib.GError: g-dbus-error-q...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6d50cb61e2ff62c6a9ecfef9d22...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 23:55 UTC by Mohanad essam
Modified: 2018-05-29 11:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.76 KB, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: environ (2.31 KB, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: mountinfo (3.13 KB, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: namespaces (102 bytes, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details
File: open_fds (868 bytes, text/plain)
2018-04-30 23:55 UTC, Mohanad essam
no flags Details

Description Mohanad essam 2018-04-30 23:55:16 UTC
Version-Release number of selected component:
yumex-dnf-4.3.3-4.1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/yumex-dnf
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/yumex-dnf
kernel:         4.15.17-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Gio.py:172:__call__:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/yumex/__init__.py", line 1130, in on_activate
    install_mode=self.install_mode)
  File "/usr/lib/python3.6/site-packages/yumex/__init__.py", line 381, in __init__
    self._setup_arch()
  File "/usr/lib/python3.6/site-packages/yumex/__init__.py", line 510, in _setup_arch
    self.arch_filter = self.backend.get_filter('arch')
  File "/usr/lib/python3.6/site-packages/yumex/__init__.py", line 93, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/yumex/misc.py", line 158, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/yumex/__init__.py", line 116, in get_root_backend
    self._root_backend = yumex.dnf_backend.DnfRootBackend(self)
  File "/usr/lib/python3.6/site-packages/yumex/dnf_backend.py", line 172, in __init__
    dnfdaemon.client.Client.__init__(self)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 549, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 207, in __init__
    (interface, self.daemon.GetVersion()))
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)

Local variables in innermost frame:
arg_variant: GLib.Variant('()', ())
signature: '()'
kwargs: {}
args: ()
self: <gi.overrides.Gio._DBusProxyMethodCall object at 0x7f1770132fd0>

Comment 1 Mohanad essam 2018-04-30 23:55:22 UTC
Created attachment 1428965 [details]
File: backtrace

Comment 2 Mohanad essam 2018-04-30 23:55:23 UTC
Created attachment 1428966 [details]
File: cgroup

Comment 3 Mohanad essam 2018-04-30 23:55:25 UTC
Created attachment 1428967 [details]
File: cpuinfo

Comment 4 Mohanad essam 2018-04-30 23:55:27 UTC
Created attachment 1428968 [details]
File: environ

Comment 5 Mohanad essam 2018-04-30 23:55:28 UTC
Created attachment 1428969 [details]
File: mountinfo

Comment 6 Mohanad essam 2018-04-30 23:55:30 UTC
Created attachment 1428970 [details]
File: namespaces

Comment 7 Mohanad essam 2018-04-30 23:55:31 UTC
Created attachment 1428971 [details]
File: open_fds

Comment 8 Fedora End Of Life 2018-05-03 07:50:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 11:19:06 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.